<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://www.Phast.fr/RLIO/CIOdm" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://www.Phast.fr/RLIO/CIOdm" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Phast ParserIO - Version 0.32  08-27-2013</wsdl:documentation>
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://www.Phast.fr/RLIO/CIOdm">
      <s:element name="Parse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Barcode" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ParseResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ParseResult" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="ACL" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="ADDITIONALID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="BESTBEFORE" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="CIP" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Company" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="ProductId" type="s:boolean" />
            <s:element minOccurs="0" maxOccurs="1" name="CONTENT" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="COUNT" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Expiry" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Family" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="GTIN" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="LIC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Lot" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="LPP" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="NaS7" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="NormalizedBESTBEFORE" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="NormalizedExpiry" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="NormalizedPRODDATE" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="PCN" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="PRODDATE" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Product" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Quantity" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Reference" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Serial" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="SSCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="SubType" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Type" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="UoM" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="VARCOUNT" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="VARIANT" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Erreurs" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="ParseSoapIn">
    <wsdl:part name="parameters" element="tns:Parse" />
  </wsdl:message>
  <wsdl:message name="ParseSoapOut">
    <wsdl:part name="parameters" element="tns:ParseResponse" />
  </wsdl:message>
  <wsdl:portType name="ParserIO_WSSoap">
    <wsdl:operation name="Parse">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">One Barcode input - 31 Values Output</wsdl:documentation>
      <wsdl:input message="tns:ParseSoapIn" />
      <wsdl:output message="tns:ParseSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ParserIO_WSSoap" type="tns:ParserIO_WSSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="Parse">
      <soap:operation soapAction="http://www.Phast.fr/RLIO/CIOdm/Parse" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ParserIO_WSSoap12" type="tns:ParserIO_WSSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="Parse">
      <soap12:operation soapAction="http://www.Phast.fr/RLIO/CIOdm/Parse" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ParserIO_WS">
    <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Phast ParserIO - Version 0.32  08-27-2013</wsdl:documentation>
    <wsdl:port name="ParserIO_WSSoap" binding="tns:ParserIO_WSSoap">
      <soap:address location="http://localhost/ParserIO/ParserIO.asmx" />
    </wsdl:port>
    <wsdl:port name="ParserIO_WSSoap12" binding="tns:ParserIO_WSSoap12">
      <soap12:address location="http://localhost/ParserIO/ParserIO.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>